5

Question on 8.2 updated-6 upgrade, the documentation states:

"If you are upgrading from Sitecore 8.1 rev. 151003 (Initial Release) or later, you can upgrade directly to Sitecore 8.2 rev. 171121 (Update-6). However, if your solution is based on an earlier version of Sitecore, you must first upgrade to Sitecore 8.1 rev. 151003 (Initial Release)."

but lists the following update package as a prerequisite:

Sitecore 8.2 rev 170728 (Update-5) Update Package

I assume that this is a typo because the guide describes installing only Sitecore 8.2 rev.171121.update.

Can anyone else confirm this?

7

This is a typo in the upgrade guide. It should state Sitecore 8.2 rev. 171121 (Update-6) Update Package.

In more recent versions of the upgrade process, Sitecore has changed the way they allow the update process to take place. If you take a look at the .update package you will notice it is much larger than previously (Sitecore 8.2 rev. 171121.update is 466MB in size) and contains several update packages:

Update Package

When you run the update installation wizard you are also present with the wizard step to select your current version of Sitecore:

Update package selection

The wizard should be clever enough to detect your current version of Sitecore and pick the correct version automatically (the above will only appear if it fails to detect it):

Upgrade

This "multi-step" upgrade path has been available for several (minor) releases now and allows a more direct upgrade, but make sure you have followed all the pre-install steps including upgrading the Sitecore Update Installation Wizard itself, a separate upgrade package is available and the above relies on this.

To answer your question directly, yes it is possible to directly upgrade from your current version but the upgrade documentation seems misleading. You should confirm this with Sitecore Support and ask them to correct the documentation accordingly.

  • Excellent answer, but I believe the question is whether the documentation saying to use the Update-5 package is correct or if it is a typo. – Jason St-Cyr Dec 20 '17 at 14:32
  • Which I answered in the final paragraph: yes it is possible to directly upgrade from your current version but the upgrade documentation seems misleading – jammykam Dec 20 '17 at 14:35
  • Yes, I did see that. Just wanted to point out that this does not actually answer the question. I am following up internally to see if I can get a confirmation that it is a typo (it definitely looks like one) – Jason St-Cyr Dec 20 '17 at 14:38
4

This is a typo. When upgrading to 8.2 Update-6, you should be using the 8.2 Update-6 package. As others have pointed out, if you meet the minimum version requirement the update package will contain all the steps required to jump to the latest.

If you use 8.2 Update-5, it will only get you as far as Update-5.

A fix for the documentation should be made soon, but you are correct to ignore this as a typo in the 8.2 Update-6 documentation.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.